Bug 213553 - devel/jsoncpp: Fix bad REINPLACE_CMD of jsoncpp.pc
Summary: devel/jsoncpp: Fix bad REINPLACE_CMD of jsoncpp.pc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks: 209698
  Show dependency treegraph
 
Reported: 2016-10-17 02:19 UTC by John Hein
Modified: 2016-10-22 10:21 UTC (History)
3 users (show)

See Also:
yuri: maintainer-feedback+
cpm: merge-quarterly+


Attachments
[patch] remove extra ${PREFIX} (866 bytes, patch)
2016-10-17 02:19 UTC, John Hein
yuri: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2016-10-17 02:19:40 UTC
Created attachment 175844 [details]
[patch] remove extra ${PREFIX}

% pkgconf --libs --cflags jsoncpp
-I/usr/local//usr/local/include/jsoncpp -L/usr/local//usr/local/lib -ljsoncpp

Notice the extra /usr/local.

patch attached... passes qa:

 - portlint ok
 - testport ok
 - stage-qa ok  [1]


[1] ok unless devel/libc++ is installed, then an unrecorded dependency is reported due to bogus test in Scripts/qa.sh (where LD_LIBRARY_PATH=${LOCALBASE}/lib is hard-coded - I'm not sure why).  Bug 213547.
Comment 1 Yuri Victorovich freebsd_committer 2016-10-17 05:54:42 UTC
Thanks!
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-18 11:18:14 UTC
Comment on attachment 175844 [details]
[patch] remove extra ${PREFIX}

Please approve the attachment Yuri
Comment 3 Carlos J. Puga Medina freebsd_committer 2016-10-18 23:44:45 UTC
We typically do mute commands (Dmitry argues for making installation-related commands vocal): 

   @${REINPLACE_CMD} was changed to ${REINPLACE_CMD}

Kubilay, do you approve this change?
Comment 4 John Hein 2016-10-19 00:07:33 UTC
(In reply to Carlos J. Puga Medina from comment #3)
Sorry... didn't mean to sneak in a change under the radar.

You can commit keeping the @.  Either way is fine with me.
Comment 5 Yuri Victorovich freebsd_committer 2016-10-19 01:10:11 UTC
Either way is fine. Since this is essentially a patch/correction and not an installation command I would lean towards hiding (@).
Comment 6 commit-hook freebsd_committer 2016-10-20 01:25:49 UTC
A commit references this bug:

Author: cpm
Date: Thu Oct 20 01:25:04 UTC 2016
New revision: 424299
URL: https://svnweb.freebsd.org/changeset/ports/424299

Log:
  devel/jsoncpp: Fix bad REINPLACE_CMD of jsoncpp.pc

  - Remove extra ${PREFIX} in jsoncpp/Makefile

  % pkgconf --libs --cflags jsoncpp
  -I/usr/local//usr/local/include/jsoncpp -L/usr/local//usr/local/lib -ljsoncpp

  Notice the extra /usr/local.

  PR:		213553
  Reported by:	John Hein <z7dr6ut7gs@snkmail.com>
  Approved by:	yuri@rawbw.com (maintainer), koobs (mentor)
  MFH:		2016Q4

Changes:
  head/devel/jsoncpp/Makefile
Comment 7 Carlos J. Puga Medina freebsd_committer 2016-10-20 01:26:19 UTC
Committed!

Thanks
Comment 8 commit-hook freebsd_committer 2016-10-20 17:18:20 UTC
A commit references this bug:

Author: cpm
Date: Thu Oct 20 17:17:56 UTC 2016
New revision: 424343
URL: https://svnweb.freebsd.org/changeset/ports/424343

Log:
  MFH: r424299

  devel/jsoncpp: Fix bad REINPLACE_CMD of jsoncpp.pc

  - Remove extra ${PREFIX} in jsoncpp/Makefile

  % pkgconf --libs --cflags jsoncpp
  -I/usr/local//usr/local/include/jsoncpp -L/usr/local//usr/local/lib -ljsoncpp

  Notice the extra /usr/local.

  PR:		213553
  Reported by:	John Hein <z7dr6ut7gs@snkmail.com>
  Approved by:	yuri@rawbw.com (maintainer), koobs (mentor)

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/devel/jsoncpp/Makefile